<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author 		javier.aponte
@version		2.0
@description 	Pantalla que permite ingresar los datos correspondientes 
                a proyecto oficina consultorio para registrar 
                ofertas inmobiliarias de proyectos
                CU-SA-AC-077 Registrar Ofertas Inmobiliarias de Proyectos
                Todos los id's de los componentes terminan en OC: Oficina Consultorio
@cu 			CU-AV-O-01
@param			proyectoOficinaConsultorioParam: 	Objeto de tipo OfertaInmobiliaria 
                que almacenará los valores de todo el formulario. 
@param			currentManagedBeanParam:  	MB que contiene las opciones de registro de oferta 
                inmobiliaria

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="proyectoOficinaConsultorioId"
             rendered="#{currentManagedBeanParam.banderaOficinaConsultorio}">

    <h:panelGrid columns="6" cellspacing="7"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador"
                 rendered="#{currentManagedBeanParam.banderaOfertaNueva}">

        <h:outputLabel value="Tipo Inmueble" for="tipoInmuebleOC"
                       styleClass="outputLabelStyle" />
        <h:outputText id="tipoInmuebleOC" 
                      rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                      value="#{proyectoOficinaConsultorioParam.tipoInmueble}" />
        <p:spacer />

        <p:spacer />
        <p:spacer />
        <p:spacer />

    </h:panelGrid>

    <h:panelGrid columns="6" cellspacing="7"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:panelGroup>
            <h:outputLabel value="Área construcción / área privada (m2):"
                           for="areaConstruccionAreaPrivadaOC" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="areaConstruccionAreaPrivadaOC" maxlength="10"
                         label="Área Construcción / Área Privada"
                         value="#{proyectoOficinaConsultorioParam.areaConstruccion}"
                         required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaConstruccionAreaPrivadaOC" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:panelGroup
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:outputLabel value="Área terreno (m2):" for="areaTerrenoOC"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                           rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0"
                     rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:inputText id="areaTerrenoOC" maxlength="10" label="Área Terreno"
                         value="#{proyectoOficinaConsultorioParam.areaTerreno}">
                <f:validateDoubleRange minimum="1.0"
                                       disabled="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
            </h:inputText>
            <p:message for="areaTerrenoOC" display="icon"
                       rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />
        </h:panelGrid>
        <p:spacer
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <h:outputLabel value="Área total construida (catastral) (m2)"
                       for="areaTotalConstruidaOC" styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalConstruidaOC" 
                      value="#{proyectoOficinaConsultorioParam.areaTotalConstruccionCata}"
                      rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Área total terreno (catastral) (m2)"
                       for="areaTotalTerrenoOC" styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalTerrenoOC" 
                      value="#{proyectoOficinaConsultorioParam.areaTotalTerrenoCatastral}"
                      rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

    </h:panelGrid>

    <h:panelGrid id="infoUbicacion" columns="6" cellspacing="7"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:panelGroup>
            <h:outputLabel value="Ubicación Oficina / Consultorio"
                           for="ubicacionOficinaConsultorioOC" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="ubicacionOficinaConsultorioOC"
                             label="Ubicación Oficina / Consultorio"
                             value="#{proyectoOficinaConsultorioParam.ubicacionOficina}"
                             required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaUbicacionOficinaV}" />
                <p:ajax
                    update=":registroOfertaInmobiliariaFormId:infoUbicacion,
                    :proyectoOficinaConsultorioForm:infoUbicacion" />
            </h:selectOneMenu>
            <p:message for="ubicacionOficinaConsultorioOC" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:outputLabel value="Tipo Edificio" for="tipoEdificioOC"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.activarTipoEdificio}" />
        <h:selectOneMenu id="tipoEdificioOC" label="Tipo Edificio"
                         value="#{proyectoOficinaConsultorioParam.tipoEdificio}"
                         rendered="#{currentManagedBeanParam.activarTipoEdificio}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTipoEdificioV}" />
        </h:selectOneMenu>
        <p:spacer rendered="#{currentManagedBeanParam.activarTipoEdificio}" />

    </h:panelGrid>

    <h:panelGrid columns="6" cellspacing="7"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:panelGroup>
            <h:outputLabel value="Ubicación en Piso" for="ubicacionPisoOC"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="ubicacionPisoOC" maxlength="2"
                         label="Ubicación en Piso"
                         value="#{proyectoOficinaConsultorioParam.ubicacionEnPiso}"
                         required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaConstruccionAreaPrivadaOC" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:outputLabel value="Tipo parqueadero:" for="tipoParqueaderoOC"
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="tipoParqueaderoOC" label="Tipo Parqueadero"
                         value="#{proyectoOficinaConsultorioParam.tipoParqueadero}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTipoParqueaderoV}" />
        </h:selectOneMenu>
        <p:spacer />

        <h:outputLabel value="No. Cocinas" for="numeroCocinasOC"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroCocinasOC" maxlength="4" label="No. Cocinas"
                     value="#{proyectoOficinaConsultorioParam.numeroCocinas}" />
        <p:spacer />

        <h:outputLabel value="No. Parqueaderos" for="numeroParqueaderosOC"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroParqueaderosOC" maxlength="4"
                     label="No. Parqueaderos"
                     value="#{proyectoOficinaConsultorioParam.numeroParqueaderos}" />
        <p:spacer />

        <h:outputLabel value="No. Depósitos" for="numeroDepositosOC"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroDepositosOC" maxlength="4"
                     label="No. Depósitos"
                     value="#{proyectoOficinaConsultorioParam.numeroDepositos}" />
        <p:spacer />

        <h:outputLabel value="No. Baños" for="numeroBaniosOC"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroBaniosOC" maxlength="4" label="No. Baños"
                     value="#{proyectoOficinaConsultorioParam.numeroBanios}" />
        <p:spacer />

        <h:outputLabel value="Cableado de Red" for="cableadoRedOC"
                       styleClass="outputLabelStyle" />
        <h:selectBooleanCheckbox id="cableadoRedOC"
                                 value="currentManagedBeanParam.cableadoRed" />
        <p:spacer />

        <h:outputLabel value="Mezzanine" for="mezzanineOC"
                       styleClass="outputLabelStyle" />
        <h:selectBooleanCheckbox id="mezzanineOC"
                                 value="#{currentManagedBeanParam.mezzanine}" />
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="Valor pedido" for="valorPedidoOC"
                           styleClass="outputLabelStyle"
                           rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                           rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="valorPedidoOC" maxlength="16" label="Valor Pedido"
                         value="#{proyectoOficinaConsultorioParam.valorPedido}"
                         rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                         required="true">
                <f:validateDoubleRange minimum="1.0" for="valorPedidoOC" />
                <f:converter converterId="converterMoneda" />
                <p:ajax event="blur"
                        onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorPedidoOC',true);" />
                <p:ajax event="focus"
                        onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorPedidoOC',false);" />
            </h:inputText>
            <p:message for="valorPedidoOC" display="icon"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        </h:panelGrid>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor Arriendo" for="valorArriendoOC"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorArriendoOC" maxlength="16"
                     label="Valor Arriendo"
                     value="#{proyectoOficinaConsultorioParam.valorArriendo}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorArriendoOC',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorArriendoOC',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor Depósitos" for="valorDepositosOC"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorDepositosOC" maxlength="16"
                     label="Valor Depósitos"
                     value="#{proyectoOficinaConsultorioParam.valorDepositos}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorDepositosOC',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorDepositosOC',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor Parqueaderos" for="valorParqueaderosOC"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorParqueaderosOC" maxlength="16"
                     label="Valor Parqueaderos"
                     value="#{proyectoOficinaConsultorioParam.valorParqueaderos}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorParqueaderosOC',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorParqueaderosOC',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor Administración"
                       for="valorAdministracionOC" styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorAdministracionOC" maxlength="16"
                     label="Valor Administración"
                     value="#{proyectoOficinaConsultorioParam.valorAdministracion}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorAdministracionOC',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoOficinaConsultorioForm:valorAdministracionOC',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

    </h:panelGrid>
</h:panelGrid>